IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[P_EST_PROD_CD_BARRA_EAN_VALIDO]')
												 AND type in (N'P', N'PC'))
	DROP PROCEDURE [dbo].[P_EST_PROD_CD_BARRA_EAN_VALIDO]
GO
CREATE PROCEDURE P_EST_PROD_CD_BARRA_EAN_VALIDO
AS
UPDATE 
	EST_PROD_CD_BARRA
SET 
	EAN_VALIDO = dbo.sp_valida_ean13(cd_barra); 
	 